Bug 80682 - Spreadsheet crashes after modifying data
Summary: Spreadsheet crashes after modifying data
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 17:00 UTC by MRPI
Modified: 2015-07-18 17:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MRPI 2014-06-29 17:00:51 UTC
Possible duplicate to 34777 ?
Bug is 100% reproducible:
Spreadsheet with 3000 lines of multi-column data
Insert XY-diagram (N x 3000 points), edit & save
Create _copy_ of XY-diagramm, edit new diagramm
Either "crash when returning to spreadsheet" or
"returning to spreadsheet and attempting save".
In both cases, the crash happens reproducible.

This bug esists since OO 2.X, btw.

Datasets from 5 to 100 MB = can be uploaded
(all datasets are created frm csv-files)
Comment 1 sophie 2014-07-09 13:20:30 UTC
Hi, could you please try with a newer version, the version you are using is completely outdated and you bug may already be corrected, thanks. Lowering importance, set as Needinfo - Sophie
Comment 2 MRPI 2014-07-09 13:58:04 UTC
Hi,
thank you for answering.
Well, the problem exists within many versions from 2.X to current.
Lately, I have tried 4.2.5.0 and 4.2.5.2 (one on Intel, the other on AMD).
Compared with 3.X the "4.2" is about 50% slower.
And the problem seems to occur even earlier / more frequent:
Inserting / modifying up to ten charts in Version 3 before it crashed,
now (version 4) it seems it crashes already at about six charts.

As I said, this problem exists in all versions.
It is reproducible in "Calc" and "Writer".

I would hope (really!) this bug gets fixed .... sometimes .... sooon.

Kind regards
Matt
Comment 3 Buovjaga 2014-11-25 09:20:43 UTC
I'd like a dataset for testing. You can also attach a backtrace of the crash: https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 4 QA Administrators 2015-06-08 14:29:02 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!

This NEEDINFO Message was generated on: 2015-06-08

Warm Regards,
QA Team
Comment 5 QA Administrators 2015-07-18 17:27:37 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-07-18